package com.shixing.sxedit;

import com.shixing.sxedit.types.SXEffectType;

/**
 * 滤镜特效
 *
 * */

public class SXFilterEffect extends SXEffect {

    public SXFilterEffect(long nativeEffect, long nativeManager, String trackID) {
        super(nativeEffect, nativeManager, trackID);
    }

    @Override
    public SXEffectType getType() {
        return SXEffectType.Filter;
    }

    /**
     * 设置透明度
     *
     * @param alpha
     * */
    public void setAlpha(float alpha) {
        if (getNativeEffect() > 0) {
            nFilterSetAlpha(mNativeEffect, alpha);
        }
    }

    /**
     * 获取透明度
     *
     * */
    public float getAlpha() {
        if (getNativeEffect() > 0) {
            return nFilterGetAlpha(mNativeEffect);
        }
        return 1;
    }

    /**
     * 替换资源
     *
     * @param resource {@link SXResource}
     * */
    public boolean setResource(SXResource resource) {
        if (getNativeEffect() > 0 && resource.isValid()){
            return nSetFilterResource(mNativeEffect, resource.getNativeResource());
        }
        return false;
    }

    /**
     * 获取特效使用的素材
     *
     * @return 使用的素材对象
     * */
    public SXResource getResource() {
        if (getNativeEffect() > 0) {
            long resource = nFilterResource(mNativeEffect);
            if (resource > 0) {
                return new SXResource(resource);
            }
        }
        return null;
    }
}
