package com.shixing.sxedit;

import com.shixing.sxedit.types.SXEffectType;

/**
 * 视频特效
 *
 *
 * */

public class SXVideoEffect extends SXEffect {
    public SXVideoEffect(long nativeEffect, long nativeManager, String trackID) {
        super(nativeEffect, nativeManager, trackID);
    }

    @Override
    public SXEffectType getType() {
        return SXEffectType.VideoEffect;
    }

    /**
     * 替换资源
     *
     * @param resource {@link SXResource}
     * */
    public boolean setResource(SXResource resource) {
        if (getNativeEffect() > 0 && resource.isValid()){
            return nSetVideoEffectResource(mNativeEffect, resource.getNativeResource());
        }
        return false;
    }

    /**
     * 获取特效使用的素材
     *
     * @return 使用的素材对象
     * */
    public SXResource getResource() {
        if (getNativeEffect() > 0) {
            long resource = nVideoEffectResource(mNativeEffect);
            if (resource > 0) {
                return new SXResource(resource);
            }
        }
        return null;
    }
}
